
name: backup_nextcloud

services:
  nc_storage:
    image: registry.vbchaos.nl/rclone
    container_name: backup_nextcloud_storage
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/nextcloud/storage --exclude=storage/appdata_*/**
      - CRON_SCHEDULE=0 0-23/1 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/nextcloud:/backup

  nc_home:
    image: registry.vbchaos.nl/rclone
    container_name: backup_nextcloud_home
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/nextcloud/home
      - CRON_SCHEDULE=0 0-23/1 * * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-9033ccb2-df6d-46a3-9996-99a0d4d34688/nextcloud/home:/backup

  nc_db:
    image: registry.vbchaos.nl/rclone
    container_name: backup_nextcloud_database
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/nextcloud/database
      - CRON_SCHEDULE=0 0-23/1 * * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-9033ccb2-df6d-46a3-9996-99a0d4d34688/nextcloud/database:/backup
